Skip to Content

Delete an API key

DELETE

https://novapai.ai/api/v1/keys/:hash 

DELETE

/api/v1/keys/:hash

cURL
$curl -X DELETE https://novapai.ai/api/v1/keys/f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943 \ >-H "Authorization: Bearer <token>"
200 Deleted
reference-api-keys-delete-keys-01.json
{ "deleted": true } ```sql showLineNumbers filename="reference-api-keys-delete-keys-02.sql" Delete an existing API key. [Management key](http://novapai.ai/docs/guides/overview/auth/management-api-keys) required. ### Authentication Authorization Bearer API key as bearer token in Authorization header ### Path parameters hash string Required The hash identifier of the API key to delete ### Response API key deleted successfully deleted true Confirmation that the API key was deleted ### Errors | 状态码 | 说明 | | --- | --- | | 401 | Unauthorized Error | | 404 | Not Found Error | | 429 | Too Many Requests Error | | 500 | Internal Server Error |